Package org.apache.sysds.runtime.compress.lib

# Class CLALibRightMultBy

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibRightMultBy

public final class CLALibRightMultBy extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock`
`rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean allowOverlap)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### rightMultByMatrix

public static MatrixBlock rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)

### rightMultByMatrix

public static MatrixBlock rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean allowOverlap)